Subject: [psg.com #245] Mixed host/router behavior

From: [email-masked]
Date: Fri, 25 Jun 2004 11:45:35 +0000

Issue description:

RFC 2461 is not clear on whether it is possible for 
a node to act as a router on one or more interfaces 
and a host on other interface(s). The distinction
between the two functions is not clearly done on
a per interface basis. 

Suggestion: We need to explicitly state that the 
distinction between acting as a host or router 
is configurable for each interface. 

The following text is included in section 6.2.1 of the 
current draft:

For each multicast interface:

   IsRouter       A flag indicating whether routing is enabled on 
                  this interface. Enabling routing on the interface 
                  would imply that a router can forward packets 
                  to or from the interface. 

This issue is now resolved

Hesham

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: [email-masked]
Date: Fri, 25 Jun 2004 11:45:35 +0000

Issue description:

Hesham

---

From: [email-masked] (Jun-ichiro itojun Hagino)
Date: Fri, 25 Jun 2004 21:03:25 +0900 (JST)

> This issue is now resolved

	sorry about late comment, but how far would you like to go?
	like interface A forwards to B (and vice versa), and C-D, ...
	how would you describe?

	i'm for simple "router or host" in document, and leave per-interface
	"router" as a exercise for reader ("virtual router" concept is not new
	so vendors will make such device anyways).

itojun